
Audacious - Feature #1133

Provide an option to disable sorting playlists when you click column header

November 02, 2021 22:29 - audacious destroysplaylists

Status: Closed Start date: November 02, 2021

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version: 4.4   

Affects version: 4.0.4   

Description

Audacious allows the user to order the tracks in a playlist as they see fit.

And I have been making extensive use of that to keep track of stuff.

But at the same time audacious will immediately sort by title/artist/album/etc if you click on one of the column headers in the list view,

and gives you no way to Undo this operation.

Those column headers are immediately underneath the playlist tabs.

It's extremely easy to accidentally click on one of those when you're aiming for the tabs.

And this has happened to me countless times already, ruining carefully ordered playlists.

To me this is like having a text editor or something with a big row of useless buttons underneath the menubar that permanently

delete all your work if you accidentally click on them.

It makes audacious far less useful for managing large playlists for sure

History

#1 - November 10, 2021 10:56 - Artem S. Tashkinov

Had we had undo/redo that wouldn't have been an issue.

https://redmine.audacious-media-player.org/issues/544

https://redmine.audacious-media-player.org/issues/1095

Patches are welcome. Maintainers are busy with their lives.

#2 - November 13, 2021 02:15 - John Lindgren

- Subject changed from Provide an option to disable sorting playlists when you click column header (ie: stop accidental misclicks from being able to

ruin a carefully ordered playlist) to Provide an option to disable sorting playlists when you click column header

- Tracker changed from Bug to Feature

I agree that an "undo" command would be the best solution here.  Disabling various ways of editing the playlist because it might ... edit the playlist ...

seems less than ideal.

Until that is implemented, you can of course easily back up your playlists to avoid losing work:

cp -a ~/.config/audacious/playlists ~/.config/audacious/playlists-backup

#3 - March 13, 2022 01:19 - Heitor Rojas

Uncheck "show headers column" in settings is a good solution for me once the columns are ordered for my need.
https://redmine.audacious-media-player.org/issues/544
https://redmine.audacious-media-player.org/issues/1095


#4 - January 28, 2024 01:45 - Thomas Lange

- Target version set to 4.4

- Priority changed from Major to Minor

- Status changed from New to Closed

I have added a setting for the column headers to disable the sorting of playlists.

An undo functionality is too complex and not going to be added in the near future.

- https://github.com/audacious-media-player/audacious-plugins/commit/96f7a855e6dbcd53d439fb522c1ce3cc2d957e95

- https://github.com/audacious-media-player/audacious-plugins/commit/e69b85e585f45782624b7a71a939574415fcfa45
